Loading...
Searching...
No Matches
seqan3::integer_sequence_printer< integer_sequence_t > Struct Template Reference
Core » Debug Stream

A printer for integer sequences. More...

`#include <seqan3/core/debug_stream/range.hpp>`

Inheritance diagram for seqan3::integer_sequence_printer< integer_sequence_t >:
[legend]

## Detailed Description

template<typename integer_sequence_t>
requires std::ranges::input_range<integer_sequence_t> && std::integral<std::remove_cvref_t<std::ranges::range_reference_t<integer_sequence_t>>>
struct seqan3::integer_sequence_printer< integer_sequence_t >

A printer for integer sequences.

This struct provides a printer for integer sequences. The integer sequence must be an input range and the range reference type must model std::integral concept.

Template Parameters

  integer_sequence_t | The type of the integer sequence.

The documentation for this struct was generated from the following file:

- range.hpp

Hide me